<?php
/**
 * @package DJ-Catalog2
 * @copyright Copyright (C) 2012 DJ-Extensions.com LTD, All rights reserved.
 * @license http://www.gnu.org/licenses GNU/GPL
 * @author url: http://dj-extensions.com
 * @author email contact@dj-extensions.com
 * @developer Michal Olczyk - michal.olczyk@design-joomla.eu
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

class Djcatalog2ViewSubscriptions extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;

	public function display($tpl = null)
	{
		$actions = (array)JHelperContent::getActions('com_djcatalog2');
		if ($actions['djcatalog2.admin.orders'] == false && $actions['djcatalog2.access.orders'] == false) {
			throw new JAccessExceptionNotallowed(JText::_('JERROR_ALERTNOAUTHOR'), 403);
		}
		
		$this->items		= $this->get('Items');
		$this->pagination	= $this->get('Pagination');
		$this->state		= $this->get('State');
		$this->filterForm    = $this->get('FilterForm');
		$this->activeFilters = $this->get('ActiveFilters');

		if (count($errors = $this->get('Errors'))) {
			throw new Joomla\CMS\MVC\View\GenericDataException(implode("\n", $errors), 500);
		}
		
		$this->addToolbar();
		
		if (class_exists('JHtmlSidebar')){
            $this->sidebar = JHtmlSidebar::render();
        }
		parent::display($tpl);
	}

	protected function addToolbar()
	{
		JToolBarHelper::title(JText::_('COM_DJCATALOG2_SUBSCRIPTIONS'), 'generic.png');
		JToolBarHelper::addNew('subscription.add','JTOOLBAR_NEW');
		JToolBarHelper::editList('subscription.edit','JTOOLBAR_EDIT');
		JToolBarHelper::deleteList(JText::_('COM_DJCATALOG2_DELETE_SUBSCRIPTIONS_CONFIRM'), 'subscriptions.delete','JTOOLBAR_DELETE');
		JToolBarHelper::custom('subscriptions.subscribe', 'publish.png', 'publish_f2.png','COM_DJCATALOG2_SUBSCRIBE', true);
		JToolBarHelper::custom('subscriptions.unsubscribe', 'unpublish.png', 'unpublish_f2.png', 'COM_DJCATALOG2_UNSUBSCRIBE', true);
		JToolBarHelper::divider();
		JToolBarHelper::preferences('com_djcatalog2', '450', '900');
		JToolBarHelper::divider();
	}
}
